PPI(4)

NAME
ppi - HP-IB printer/plotter interface

SYNOPSIS
ppi0 at hpibbus0 slave 5

DESCRIPTION
The ppi interface provides a means of communication with HP-IB printers and plotters.

Special files ppi0 through ppi7 are used to access the devices, with the digit at the end of the filename referring to the bus address of the device. Current versions of the autoconf code can not probe for these devices, so the device entry in the configuration file must be fully qualified.

The device files appear as follows:

    "crw-rw-rw-  1 root      11,   0 Dec 21 11:22 /dev/ppi"

DIAGNOSTICS
None.

SEE ALSO
hp300/hpib(4)

BUGS
This driver is very primitive, it handshakes data out byte by byte. It should use DMA if possible.